Followers
Followers are users who have engaged with your board or are tracking specific Ideas or Announcements for updates. These users are often referred to as tracked users
Follower object
Followers have the following fields
idx string
A unique identifier for the follower
name string
Name of the follower
email string
Email address of the follower
avatar string
Profile image of the follower (URL)
attributes object
Custom attributes for the follower (included when include_attributes=true)
companies array
Companies the follower is associated with (included when include_attributes=true)
created_at string
Date the follower was created
updated_at string
Date the follower was last updated
attributes and companies are only returned when you pass include_attributes=true. Each entry in companies contains id (company source identifier, a string), name, monthly_spend, and an attributes object of custom company attributes.
Endpoints
You can use the following endpoints to manage Topics
List followers
Returns a list of followers
API key in Authorization header with Bearer prefix (recommended)
Limits the number of items on a page
20The after cursor - used for pagination
Include custom attributes in the response
Successfully returned a list of followers
Invalid request
GET /v1/followers HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"idx": "follower_abcd1234",
"name": "John Smith",
"email": "john@example.com",
"avatar": "https://example.com/example.jpg",
"attributes": {
"job_title": "Product Manager",
"birth_date": "1990-05-15",
"department": "Engineering"
},
"companies": [
{
"id": "acme-123",
"name": "Acme Corp",
"monthly_spend": 500,
"attributes": {
"industry": "tech",
"plan": "Enterprise"
}
}
],
"created_at": "text",
"updated_at": "text"
}
],
"pagination": {
"total": 10,
"before": "before-cursor",
"after": "after-cursor"
}
}Search for a follower
Search for followers by email
API key in Authorization header with Bearer prefix (recommended)
Include custom attributes in the response
Successfully returned a list of followers
Invalid request
GET /v1/followers/search?email=text HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"idx": "follower_abcd1234",
"name": "John Smith",
"email": "john@example.com",
"avatar": "https://example.com/example.jpg",
"attributes": {
"job_title": "Product Manager",
"birth_date": "1990-05-15",
"department": "Engineering"
},
"companies": [
{
"id": "acme-123",
"name": "Acme Corp",
"monthly_spend": 500,
"attributes": {
"industry": "tech",
"plan": "Enterprise"
}
}
],
"created_at": "text",
"updated_at": "text"
}
],
"pagination": {
"total": 10,
"before": "before-cursor",
"after": "after-cursor"
}
}Create Follower
Create a new follower
API key in Authorization header with Bearer prefix (recommended)
Name of the follower
John SmithEmail address of the follower
john@example.comCustom attributes for the follower (key-value pairs)
{"job_title":"Product Manager","birth_date":"1990-05-15","department":"Engineering"}Successfully created a new follower
Invalid request
Custom attributes not enabled (when attributes or companies are provided)
POST /v1/followers HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 309
{
"name": "John Smith",
"email": "john@example.com",
"attributes": {
"job_title": "Product Manager",
"birth_date": "1990-05-15",
"department": "Engineering"
},
"companies": [
{
"id": "acme-123",
"name": "Acme",
"monthly_spend": 50,
"plan": "Business"
},
{
"id": "techcorp-456",
"name": "TechCorp",
"monthly_spend": 150,
"plan": "Enterprise"
}
]
}{
"data": {
"idx": "follower_abcd1234",
"name": "John Smith",
"email": "john@example.com",
"avatar": "https://example.com/example.jpg",
"attributes": {
"job_title": "Product Manager",
"birth_date": "1990-05-15",
"department": "Engineering"
},
"companies": [
{
"id": "acme-123",
"name": "Acme Corp",
"monthly_spend": 500,
"attributes": {
"industry": "tech",
"plan": "Enterprise"
}
}
],
"created_at": "text",
"updated_at": "text"
}
}Update Follower
Update an existing follower
API key in Authorization header with Bearer prefix (recommended)
The unique identifier for the follower
Name of the follower (optional)
John SmithEmail address of the follower (optional)
john@example.comCustom attributes to merge with existing attributes (key-value pairs, optional)
{"job_title":"Senior Product Manager","department":"Product","location":"San Francisco"}Successfully updated the follower
Invalid request
Custom attributes not enabled
Follower not found
POST /v1/followers/{followerIdx} HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236
{
"name": "John Smith",
"email": "john@example.com",
"attributes": {
"job_title": "Senior Product Manager",
"department": "Product",
"location": "San Francisco"
},
"companies": [
{
"id": "acme-123",
"name": "Acme",
"monthly_spend": 100,
"plan": "Enterprise"
}
]
}{
"data": {
"idx": "follower_abcd1234",
"name": "John Smith",
"email": "john@example.com",
"avatar": "https://example.com/example.jpg",
"attributes": {
"job_title": "Product Manager",
"birth_date": "1990-05-15",
"department": "Engineering"
},
"companies": [
{
"id": "acme-123",
"name": "Acme Corp",
"monthly_spend": 500,
"attributes": {
"industry": "tech",
"plan": "Enterprise"
}
}
],
"created_at": "text",
"updated_at": "text"
}
}Delete a follower
Delete a follower
API key in Authorization header with Bearer prefix (recommended)
The unique identifier for the follower
Action to take with follower's content: 'delete' removes all content, 'reassign' transfers content to an anonymous user
deletePossible values: Request was successful
Request was successfulInvalid request
DELETE /v1/followers/{followerIdx} HTTP/1.1
Host: api.frill.co
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"success": true,
"message": "Request was successful"
}Last updated